linux: 2.6.32-42.96 -proposed tracker

Bug #1036553 reported by Luis Henriques on 2012-08-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Chris Halse Rogers
Promote-to-updates
Undecided
Chris Halse Rogers
Regression-testing
Undecided
Para Siva
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-42.96 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 14. August 2012 08:54 UTC
kernel-stable-Prepare-package-end:Monday, 20. August 2012 11:18 UTC
kernel-stable-Promote-to-proposed-start:Monday, 20. August 2012 11:18 UTC
kernel-stable-Promote-to-proposed-end:Monday, 20. August 2012 18:32 UTC
kernel-stable-Verification-testing-start:Monday, 20. August 2012 19:46 UTC
kernel-stable-Verification-testing-end:Tuesday, 21. August 2012 12:02 UTC
kernel-stable-Certification-testing-start:Tuesday, 21. August 2012 12:02 UTC
kernel-stable-Security-signoff-start:Tuesday, 21. August 2012 12:02 UTC
kernel-stable-Regression-testing-start:Tuesday, 21. August 2012 12:02 UTC
kernel-stable-Security-signoff-end:Monday, 27. August 2012 23:15 UTC
kernel-stable-Certification-testing-end:Tuesday, 28. August 2012 08:15 UTC
kernel-stable-Promote-to-updates-start:Monday, 03. September 2012 21:30 UTC
kernel-stable-Regression-testing-end:Monday, 03. September 2012 21:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 05. September 2012 00:16 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 05. September 2012 00:16 UTC

CVE References

Luis Henriques (henrix) on 2012-08-14
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1038971

description: updated
Brad Figg (brad-figg) on 2012-08-20
description: updated
Brad Figg (brad-figg) on 2012-08-20
description: updated
Luis Henriques (henrix) wrote :

All SRUs verified, moving to testing

Brad Figg (brad-figg) on 2012-08-21
description: updated

Hardware Certification have begun testing this -proposed kernel

John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2012-08-27
description: updated

Hardware Certification have completed testing this -proposed kernel. Due to downtime in the UK data center, the servers attached to 'nickel.canonical.com' are untested. No regressions were observed on those systems that were tested. The test report is available at: http://people.canonical.com/~hwcert/sru-testing/wk35_2012/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-08-28
description: updated
Para Siva (psivaa) wrote :

QA regression testing passed with known regressions given in

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1028112

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-03
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-42.96

---------------
linux (2.6.32-42.96) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1036553

  [ Andy Whitcroft ]

  * SAUCE: rds_ib_send() -- prevent local pings triggering BUG_ON()
    - LP: #1016299
    - CVE-2012-2372

  [ Upstream Kernel Changes ]

  * udf: Fortify loading of sparing table
    - LP: #1024497
    - CVE-2012-3400
  * udf: Avoid run away loop when partition table length is corrupted
    - LP: #1024497
    - CVE-2012-3400
  * eCryptfs: Gracefully refuse miscdev file ops on inherited/passed files
    - LP: #994247
  * eCryptfs: Copy up POSIX ACL and read-only flags from lower mount
    - LP: #1009207
  * drm: integer overflow in drm_mode_dirtyfb_ioctl()
    - LP: #917838
    - CVE-2012-0044
 -- Luis Henriques <email address hidden> Tue, 14 Aug 2012 09:51:58 +0100

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers